com.google.gwt.user.cellview.client

## Enum RowHoverEvent.HoveringScope

- java.lang.Object
- - java.lang.Enum<RowHoverEvent.HoveringScope>
  - - com.google.gwt.user.cellview.client.RowHoverEvent.HoveringScope

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RowHoverEvent.HoveringScope>
  Enclosing class:
    RowHoverEvent

      public static enum RowHoverEvent.HoveringScope
      extends java.lang.Enum<RowHoverEvent.HoveringScope>

  Indicates the scope/area of the hover event

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CELL_HOVER` Cell-only hover event, the mouse remains on the same row
    `ROW_HOVER` Change in the hovering row, the mouse is moving over different rows
    `UNKNOWN` Backward-compatibility parameter to handle the rare case where we don't know the event's context, because it is outside of CellTable.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RowHoverEvent.HoveringScope` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RowHoverEvent.HoveringScope[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final RowHoverEvent.HoveringScope UNKNOWN

      Backward-compatibility parameter to handle the rare case where we don't know the event's context, because it is outside of CellTable. Clients should not limit features (e.g. event processing) if the scope is unknown.

    - #### ROW_HOVER

          public static final RowHoverEvent.HoveringScope ROW_HOVER

      Change in the hovering row, the mouse is moving over different rows

    - #### CELL_HOVER

          public static final RowHoverEvent.HoveringScope CELL_HOVER

      Cell-only hover event, the mouse remains on the same row

  - ### Method Detail

    - #### values

          public static RowHoverEvent.HoveringScope[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RowHoverEvent.HoveringScope c : RowHoverEvent.HoveringScope.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RowHoverEvent.HoveringScope valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null